make chronosync a dependency
refs: #2400
Change-Id: I8b488f165a4f9a2c9a7731931be3b6d2e3c43c89
diff --git a/.jenkins.d/01-dependencies.sh b/.jenkins.d/01-dependencies.sh
index b1ba81f..760b057 100755
--- a/.jenkins.d/01-dependencies.sh
+++ b/.jenkins.d/01-dependencies.sh
@@ -9,8 +9,8 @@
set -x
brew update
brew upgrade
- brew install boost pkg-config sqlite cryptopp log4cxx protobuf openssl
- brew link --force openssl log4cxx protobuf
+ brew install boost pkg-config sqlite cryptopp log4cxx openssl
+ brew link --force openssl log4cxx
brew cleanup
fi
@@ -24,5 +24,5 @@
sudo apt-get update -qq -y
sudo apt-get -qq -y install build-essential pkg-config $BOOST_PKG \
libcrypto++-dev libsqlite3-dev \
- liblog4cxx10-dev protobuf-compiler libprotobuf-dev libssl-dev
+ liblog4cxx10-dev libssl-dev
fi
diff --git a/.jenkins.d/10-ndn-cxx.sh b/.jenkins.d/10-ndn-cxx.sh
index 69d337e..0d4239e 100755
--- a/.jenkins.d/10-ndn-cxx.sh
+++ b/.jenkins.d/10-ndn-cxx.sh
@@ -49,6 +49,6 @@
if has Linux $NODE_LABELS; then
sudo ldconfig
-elif has FreeBSD $NODE_LABELS; then
- sudo ldconfig -a
+elif has FreeBSD10 $NODE_LABELS; then
+ sudo ldconfig -m
fi
diff --git a/.jenkins.d/11-chronosync.sh b/.jenkins.d/11-chronosync.sh
new file mode 100755
index 0000000..6fb1d9f
--- /dev/null
+++ b/.jenkins.d/11-chronosync.sh
@@ -0,0 +1,58 @@
+#!/usr/bin/env bash
+set -x
+set -e
+
+JDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+source "$JDIR"/util.sh
+
+pushd /tmp >/dev/null
+
+INSTALLED_VERSION=
+if has OSX $NODE_LABELS; then
+ BOOST=$(brew ls --versions boost)
+ OLD_BOOST=$(cat boost_chrono.txt || :)
+ if [[ $OLD_BOOST != $BOOST ]]; then
+ echo "$BOOST" > boost_chrono.txt
+ INSTALLED_VERSION=NONE
+ fi
+fi
+
+if [[ -z $INSTALLED_VERSION ]]; then
+ INSTALLED_VERSION=$((cd ChronoSync && git rev-parse HEAD) 2>/dev/null || echo NONE)
+fi
+
+sudo rm -Rf ChronoSync-latest
+
+git clone --depth 1 git://github.com/named-data/ChronoSync ChronoSync-latest
+
+LATEST_VERSION=$((cd ChronoSync-latest && git rev-parse HEAD) 2>/dev/null || echo UNKNOWN)
+
+if [[ $INSTALLED_VERSION != $LATEST_VERSION ]]; then
+ sudo rm -Rf ChronoSync
+ mv ChronoSync-latest ChronoSync
+else
+ sudo rm -Rf ChronoSync-latest
+fi
+
+sudo rm -Rf /usr/local/include/ChronoSync
+sudo rm -f /usr/local/lib/libChronoSync*
+sudo rm -f /usr/local/lib/pkgconfig/ChronoSync*
+
+pushd ChronoSync >/dev/null
+
+if has FreeBSD10 $NODE_LABELS; then
+ export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/
+fi
+
+./waf -j1 --color=yes configure
+./waf -j1 --color=yes build
+sudo ./waf install -j1 --color=yes
+
+popd >/dev/null
+popd >/dev/null
+
+if has Linux $NODE_LABELS; then
+ sudo ldconfig
+elif has FreeBSD10 $NODE_LABELS; then
+ sudo ldconfig -m
+fi